
Ceph - Bug #3134

osd: hang in journal?

09/11/2012 04:34 PM - Sage Weil

Status: Can't reproduce % Done: 0%

Priority: High Spent time: 0.00 hour

Assignee:    

Category: OSD   

Target version:    

Source: Q/A Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

ubuntu@plana42:/tmp/cephtest$ binary/usr/local/bin/ceph --admin-daemon asok.osd.5 dump_ops_in_flig

ht  2>/dev/null

{ "num_ops": 1,

  "ops": [

        { "description": "osd_sub_op(client.4118.0:36920 3.2 fa1caca\/rbd_children\/head\/\/3 [] v

 116'465 snapset=0=[]:[] snapc=0=[])",

          "received_at": "2012-09-10 21:38:09.889081",

          "age": "67677.884736",

          "duration": "0.020637",

          "flag_point": "started",

          "events": [

                { "time": "2012-09-10 21:38:09.889380",

                  "event": "waiting_for_osdmap"},

                { "time": "2012-09-10 21:38:09.889422",

                  "event": "reached_pg"},

                { "time": "2012-09-10 21:38:09.889453",

                  "event": "started"},

                { "time": "2012-09-10 21:38:09.889643",

                  "event": "commit_queued_for_journal_write"},

                { "time": "2012-09-10 21:38:09.894026",

                  "event": "write_thread_in_journal_buffer"},

                { "time": "2012-09-10 21:38:09.904701",

                  "event": "journaled_completion_queued"},

                { "time": "2012-09-10 21:38:09.905245",

                  "event": "sub_op_commit"},

                { "time": "2012-09-10 21:38:09.909718",

                  "event": "sub_op_applied"}]}]}

ubuntu@teuthology:/var/lib/teuthworker/archive/teuthology-2012-09-10_19:00:08-regression-master-te

sting-gcov/20464$ cat config.yaml 

kernel: &id001

  kdb: true

  sha1: ad4931b30fb08d0e3e09c71c0a9a9e6391d604e5

nuke-on-error: true

overrides:

  ceph:

    conf:

      client:

        rbd cache: true

        rbd cache max dirty: 0
      global:

        ms inject socket failures: 5000

    coverage: true

    fs: ext4

    log-whitelist:

    - slow request

    sha1: 06290f6dffec33f4a9f47e4c3733f6779173f595

  s3tests:

    branch: master

  workunit:

    sha1: 06290f6dffec33f4a9f47e4c3733f6779173f595

roles:

- - mon.a

  - osd.0

  - osd.1

  - osd.2

- - mds.a

  - osd.3

  - osd.4

  - osd.5

- - client.0

targets:

  ubuntu@plana31.front.sepia.ceph.com: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC5J4n7rTsH+IMjGAu+Efh

ukuK5+zScoSaPIfXDOUU8LfvuI/3x8Luiyv9eRVwZgwuLBWZ/zorBbGZ+G2Iaxy3632AG/XE7cRZA9AxzZT+Qvm9D+BW+Uletg

f92cttKMk7qwK3DetQwRKKl6AMv0SDpUff+nzqnJH6LMS8zoBPVXDHFM3Lup8h9H6DYEs1F/Zn8LVSw8hNiD279rg1n1hqWdIt

mnKBPKyC/qkRoPa6h7gDU6FPaBiNhuhBd0016XGrVwL7Y8gqoDBiArP+NDt1lcnbeiK43bFhqW+pYovOdIA2MJC6z+bkZDlOJd

xoz9mDP0cJZBdB43v3UdbS1R+WT

  ubuntu@plana42.front.sepia.ceph.com: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCzQfmtpfECJ+NZaaiSH/R

8X+dGXHH+aDTCKGLLiHhW9fttxzfzcJJaBx1b664D3ynZAC7NiaegfLDTCMW7FFVDUltMQcWjsM4BqfFipIquDP4KOclCc6EwG

5aYG/MLCJwL6sovt1uKg00bSkVQsUSHBgZbMJKCjCbBb0XPxfuS4dppA3diEZBOMt1YHr+NdV7sace/Gc7YBlGsNOinnqkKfVW

IpfYCiTQ18cvaisSEHsQR6zhKqrX4afQk13cTjdvZeQp9AXxRIf1g9fq2zHVWMdJdVNR8D0BSBtfAzMqIqZ8qcJqmzQN0Zq9Wk

9Y021vMFORZy2SFI6c7yBWDJLdT

  ubuntu@plana43.front.sepia.ceph.com: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC/sM+tk86Dl9EeTk49zN9

mfwYFfwJcYKVIdEnfFpNie9+cM+X1SSorAP+J08fzKa5P4S44izIiAG8bVHzWpWg667ks1FUBNXaUuJQrd2gUU3VFCBgx/sZeW

rc7ShUtCTKYImrfIvXEemAc65bQKga10StnfOtZy+NgfwOJb7S05RBnGzfzqtAU7Ny+SEjZcu+80/uIOHWlPwxU4/nkOUEVKzG

g77a9e5vrg49MuKXRr8aF03+gTEc2WBKXkpMCHlIU0tB96QN+vdCHjz9gIcZ7aq+3SN6KRSVEoWd2CwYwOTpRHrmYpFQG7zkZk

JxRDQ17QXNfg4v/CRfQzEs0MpJt

tasks:

- internal.lock_machines: 3

- internal.save_config: null

- internal.check_lock: null

- internal.connect: null

- internal.check_conflict: null

- kernel: *id001

- internal.base: null

- internal.archive: null

- internal.coredump: null

- internal.syslog: null

- internal.timer: null

- chef: null

- clock: null

- ceph:

    log-whitelist:

    - wrongly marked me down

    - objects unfound and apparently lost

- thrashosds:

    timeout: 1200

- rbd_fsx:

    clients:

    - client.0

    ops: 20000

History

#1 - 11/18/2012 09:29 AM - Sage Weil

- Status changed from New to Can't reproduce
